gtkstyle.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Style utility functions. More...

`#include <gtk/gtk.h>`

Go to the source code of this file.

## Functions

G_BEGIN_DECLS gboolean | pidgin_style_is_dark (GtkStyle *style)
| Returns TRUE if dark mode is enabled and foreground colours should be invertred. More...
void | pidgin_style_adjust_contrast (GtkStyle *style, GdkColor *color)
| Lighten a color if dark mode is enabled. More...

## Detailed Description

GTK+ Style utility functions.

Definition in file gtkstyle.h.

## Function Documentation

## pidgin_style_adjust_contrast()

void pidgin_style_adjust_contrast | ( | GtkStyle * | style,
|  | GdkColor * | color
| ) |  |

Lighten a color if dark mode is enabled.

Parameters

  style | The GtkStyle in use.
  color | Color to be lightened. Transformed color will be written here.

## pidgin_style_is_dark()

G_BEGIN_DECLS gboolean pidgin_style_is_dark | ( | GtkStyle * | style | ) |

Returns TRUE if dark mode is enabled and foreground colours should be invertred.

Parameters

  style | The GtkStyle in use, or NULL to use a cached version.

Returns
  `TRUE` if dark mode, `FALSE` otherwise